Bug 57972 - UPS $OPTIONS variable missing in halt script
UPS $OPTIONS variable missing in halt script
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-03 16:19 EST by CiRO
Modified: 2014-03-16 22:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-25 01:50:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description CiRO 2002-01-03 16:19:01 EST
Description of Problem:
The $OPTIONS 
variable for UPS is missing in 
/etc/rc.d/init.d/halt script. You cannot 
pass options to the ups you've selected. 


This line:
[ "$SERVER" = "yes" -a "$MODEL" 
!= "NONE" -a -n "$MODEL" -a -n "$DEVICE" ] && 
$MODEL -k $DEVICE

should be:
[ "$SERVER" = 
"yes" -a "$MODEL" != "NONE" -a -n "$MODEL" -a -n 
"$DEVICE" ] && $MODEL $OPTIONS -k 
$DEVICE



Version-Release number of 
selected component (if 
applicable):


How 
Reproducible:


Steps to Reproduce:
1. 

2. 
3. 

Actual Results:


Expected 
Results:


Additional Information:
Comment 1 Florian La Roche 2002-07-09 17:28:10 EDT
Changed in internal cvs version, should be ok in next release.

Thanks,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.